Skip to main content
GET
/
organizations
/
permission-groups
List permission groups visible to the caller
curl --request GET \
  --url https://api.ilyama.golain.io/core/api/v1/organizations/permission-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'ORG-ID: <org-id>'
{
  "data": {
    "has_more": true,
    "items": [
      {
        "active": true,
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "description": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updated_at": "2023-11-07T05:31:56Z",
        "access": [
          {
            "actions": [
              "<string>"
            ],
            "resource": "<string>",
            "invalid_reason": "<string>",
            "invalidated_at": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ],
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ilyama.golain.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ORG-ID
string<uuid>
required

Query Parameters

project_id
string<uuid>
limit
integer
Required range: 1 <= x <= 200
cursor
string

Response

Permission groups loaded

data
object
required
ok
enum<integer>
required
Available options:
1